"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const vscode_1 = require("vscode");
const completion_provider_1 = __importDefault(require("./plugin/completion-provider"));
const hover_provider_1 = __importDefault(require("./plugin/hover-provider"));
const resources_1 = require("./resources");
const notifier_1 = require("./notifier");
const notifier = new notifier_1.Notifier();
function activate(context) {
    return __awaiter(this, void 0, void 0, function* () {
        yield resources_1.INIT(notifier);
        if (!resources_1.CONFIG.isAntd && !resources_1.CONFIG.isAntd) {
            notifier.notify('Not found ng-zorro-antd lib.');
            return;
        }
        const hoverProvider = new hover_provider_1.default();
        const htmlScheme = { scheme: 'file', language: 'html' };
        const providers = [vscode_1.languages.registerCompletionItemProvider(htmlScheme, new completion_provider_1.default(), '<', ' ', '[', '(', '"')];
        if (resources_1.CONFIG.hover) {
            providers.push(vscode_1.languages.registerHoverProvider([htmlScheme], hoverProvider));
        }
        context.subscriptions.push(...providers);
    });
}
exports.activate = activate;
function deactivate() { }
exports.deactivate = deactivate;
//# sourceMappingURL=extension.js.map