"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const vscode = __importStar(require("vscode"));
const interfaces_1 = require("./interfaces");
class Notifier {
    constructor(alignment, priority) {
        this.statusBarItem = vscode.window.createStatusBarItem(alignment, priority);
        this.statusBarItem.show();
    }
    notify(text, autoHide = true, icon = 'alert') {
        if (this.timeoutId) {
            clearTimeout(this.timeoutId);
        }
        this.statusBarItem.text = `$(${icon})`;
        this.statusBarItem.tooltip = `${interfaces_1.NAME}: ${text}`;
        if (autoHide) {
            this.timeoutId = setTimeout(() => this.statusBarItem.hide(), 1000 * 60);
        }
    }
}
exports.Notifier = Notifier;
//# sourceMappingURL=notifier.js.map